RTEMS: MPU_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
MPU_struct_tag Struct Reference

## Data Fields
MPU_CESR_32B_tag | CESR
int8_t | MPU_reserved_0004_C [12]
union {
MPU_SLAVE_PORT_tag SLAVE_PORT [4]
struct {
MPU_EAR_32B_tag EAR0
MPU_EDR_32B_tag EDR0
MPU_EAR_32B_tag EAR1
MPU_EDR_32B_tag EDR1
MPU_EAR_32B_tag EAR2
MPU_EDR_32B_tag EDR2
MPU_EAR_32B_tag EAR3
MPU_EDR_32B_tag EDR3
} |
}; |
int8_t | MPU_reserved_0030_C [976]
union {
MPU_REGION_tag REGION [16]
struct {
MPU_RGD_WORD0_32B_tag RGD0_WORD0
MPU_RGD_WORD1_32B_tag RGD0_WORD1
MPU_RGD_WORD2_32B_tag RGD0_WORD2
MPU_RGD_WORD3_32B_tag RGD0_WORD3
MPU_RGD_WORD0_32B_tag RGD1_WORD0
MPU_RGD_WORD1_32B_tag RGD1_WORD1
MPU_RGD_WORD2_32B_tag RGD1_WORD2
MPU_RGD_WORD3_32B_tag RGD1_WORD3
MPU_RGD_WORD0_32B_tag RGD2_WORD0
MPU_RGD_WORD1_32B_tag RGD2_WORD1
MPU_RGD_WORD2_32B_tag RGD2_WORD2
MPU_RGD_WORD3_32B_tag RGD2_WORD3
MPU_RGD_WORD0_32B_tag RGD3_WORD0
MPU_RGD_WORD1_32B_tag RGD3_WORD1
MPU_RGD_WORD2_32B_tag RGD3_WORD2
MPU_RGD_WORD3_32B_tag RGD3_WORD3
MPU_RGD_WORD0_32B_tag RGD4_WORD0
MPU_RGD_WORD1_32B_tag RGD4_WORD1
MPU_RGD_WORD2_32B_tag RGD4_WORD2
MPU_RGD_WORD3_32B_tag RGD4_WORD3
MPU_RGD_WORD0_32B_tag RGD5_WORD0
MPU_RGD_WORD1_32B_tag RGD5_WORD1
MPU_RGD_WORD2_32B_tag RGD5_WORD2
MPU_RGD_WORD3_32B_tag RGD5_WORD3
MPU_RGD_WORD0_32B_tag RGD6_WORD0
MPU_RGD_WORD1_32B_tag RGD6_WORD1
MPU_RGD_WORD2_32B_tag RGD6_WORD2
MPU_RGD_WORD3_32B_tag RGD6_WORD3
MPU_RGD_WORD0_32B_tag RGD7_WORD0
MPU_RGD_WORD1_32B_tag RGD7_WORD1
MPU_RGD_WORD2_32B_tag RGD7_WORD2
MPU_RGD_WORD3_32B_tag RGD7_WORD3
MPU_RGD_WORD0_32B_tag RGD8_WORD0
MPU_RGD_WORD1_32B_tag RGD8_WORD1
MPU_RGD_WORD2_32B_tag RGD8_WORD2
MPU_RGD_WORD3_32B_tag RGD8_WORD3
MPU_RGD_WORD0_32B_tag RGD9_WORD0
MPU_RGD_WORD1_32B_tag RGD9_WORD1
MPU_RGD_WORD2_32B_tag RGD9_WORD2
MPU_RGD_WORD3_32B_tag RGD9_WORD3
MPU_RGD_WORD0_32B_tag RGD10_WORD0
MPU_RGD_WORD1_32B_tag RGD10_WORD1
MPU_RGD_WORD2_32B_tag RGD10_WORD2
MPU_RGD_WORD3_32B_tag RGD10_WORD3
MPU_RGD_WORD0_32B_tag RGD11_WORD0
MPU_RGD_WORD1_32B_tag RGD11_WORD1
MPU_RGD_WORD2_32B_tag RGD11_WORD2
MPU_RGD_WORD3_32B_tag RGD11_WORD3
MPU_RGD_WORD0_32B_tag RGD12_WORD0
MPU_RGD_WORD1_32B_tag RGD12_WORD1
MPU_RGD_WORD2_32B_tag RGD12_WORD2
MPU_RGD_WORD3_32B_tag RGD12_WORD3
MPU_RGD_WORD0_32B_tag RGD13_WORD0
MPU_RGD_WORD1_32B_tag RGD13_WORD1
MPU_RGD_WORD2_32B_tag RGD13_WORD2
MPU_RGD_WORD3_32B_tag RGD13_WORD3
MPU_RGD_WORD0_32B_tag RGD14_WORD0
MPU_RGD_WORD1_32B_tag RGD14_WORD1
MPU_RGD_WORD2_32B_tag RGD14_WORD2
MPU_RGD_WORD3_32B_tag RGD14_WORD3
MPU_RGD_WORD0_32B_tag RGD15_WORD0
MPU_RGD_WORD1_32B_tag RGD15_WORD1
MPU_RGD_WORD2_32B_tag RGD15_WORD2
MPU_RGD_WORD3_32B_tag RGD15_WORD3
} |
}; |
int8_t | MPU_reserved_0500_C [768]
union {
MPU_RGDAAC_32B_tag RGDAAC [16]
struct {
MPU_RGDAAC_32B_tag RGDAAC0
MPU_RGDAAC_32B_tag RGDAAC1
MPU_RGDAAC_32B_tag RGDAAC2
MPU_RGDAAC_32B_tag RGDAAC3
MPU_RGDAAC_32B_tag RGDAAC4
MPU_RGDAAC_32B_tag RGDAAC5
MPU_RGDAAC_32B_tag RGDAAC6
MPU_RGDAAC_32B_tag RGDAAC7
MPU_RGDAAC_32B_tag RGDAAC8
MPU_RGDAAC_32B_tag RGDAAC9
MPU_RGDAAC_32B_tag RGDAAC10
MPU_RGDAAC_32B_tag RGDAAC11
MPU_RGDAAC_32B_tag RGDAAC12
MPU_RGDAAC_32B_tag RGDAAC13
MPU_RGDAAC_32B_tag RGDAAC14
MPU_RGDAAC_32B_tag RGDAAC15
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h